<template>

    <!-- modal user info -->
 <div   class="modal fade ui-modal"
            id="user_info"
            data-bs-backdrop="static"
            data-bs-keyboard="false"
            tabindex="-1"
            aria-labelledby="clearconfirmlabel"
            aria-hidden="true"
          >
            <div class="modal-dialog smallpopup" id="nonbackgroundboom">
              <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                  <h5 class="modal-title" id="exampleModalLabel">
                    <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">
                        {{ i18ntext.lngText('userifo') }}
                    </span>
                  </h5>
                  <span
                    class="ui-icon ui-icon-closethick btn-cancel"
                    data-bs-dismiss="modal"
                    aria-label="Close"
                  ></span>
                </div>
                <div class="ui-dialog-content" style="background-color: #fff">
                  <div class="modal-body">
                        <p class="user-name">{{User.user_name }}</p>
                       
                        <table class="table-user-info">
                            <tr>
                                <th>{{ i18ntext.lngText('code') }}</th>
                                <td>: {{ User.user_code }}</td>
                            </tr>
                            <tr>
                                <th>{{ i18ntext.lngText('email') }}</th>
                                <td>: {{ User.email }}</td>
                            </tr>
                            <tr>
                                <th>{{ i18ntext.lngText('role') }}</th>
                                <td>: {{ User.role }}</td>
                            </tr>
                        </table>
                        <div class="btn-container">
                          
                          <div class="btn-conainer-01">
                            <p class="btn-p"> {{ i18ntext.lngText('language') }} :</p>
                              <p class="btn-change-lang btn-p"
                              data-bs-toggle="dropdown"
                              aria-expanded="false"  >
                            
                              {{ lng }}
                          </p>

                            <ul class="dropdown-menu" style="padding: 0 !important;">
                              <li>
                                <a class="dropdown-item btn btn-primary" data-bs-toggle="modal" data-bs-target="#change-lang" @click="getText('ខ្មែរ')">ខ្មែរ</a>
                              </li>
                              <li>
                                <a class="dropdown-item btn btn-primary" data-bs-toggle="modal" data-bs-target="#change-lang" @click="getText('English')">English</a>
                              </li>
                              
                            </ul>
                          </div>
                          <button class="btn-change-pw" data-bs-toggle="modal" data-bs-target="#change-password">{{i18ntext.lngText('changepassword')}}</button>
                        </div>

                  </div>
                  <div class="modal-footer">
                    <div class="button type2"
                      data-bs-dismiss="modal">
                      <span>{{i18ntext.lngText('close')}}<input
                          type="button"
                          class="type2"
                          tabindex="10008"
                          value="No"
                          style="width: 89px; opacity: 0"
                        />
                      </span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- end modal user info -->


          <!-- change language modal confirm -->
          <div   class="modal fade ui-modal"
            id="change-lang"
            data-bs-backdrop="static"
            data-bs-keyboard="false"
            tabindex="-1"
            aria-labelledby="clearconfirmlabel"
            aria-hidden="true"
          >
            <div class="modal-dialog smallpopup" id="nonbackgroundboom">
              <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                  <h5 class="modal-title" id="exampleModalLabel">
                    <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">
                      {{ i18ntext.lngText('confirm_message') }}
                    </span>
                  </h5>
                  <span
                    class="ui-icon ui-icon-closethick btn-cancel"
                    data-bs-dismiss="modal"
                    aria-label="Close"
                  ></span>
                </div>
                <div class="ui-dialog-content" style="background-color: #fff">
                  <div class="modal-body">
                    {{ i18ntext.lngText('ask_change_language') }}
                  </div>
                  <div class="modal-footer">
                    <div class="button type2" data-bs-toggle="modal" data-bs-target="#user_info"
                      data-bs-dismiss="modal">
                      <span> {{ i18ntext.lngText('No') }}<input
                          type="button"
                          class="type2"
                          tabindex="10008"
                        
                          style="width: 89px; opacity: 0"
                        />
                      </span>
                    </div>
                    <div class="button type2"
                      data-bs-dismiss="modal" @click="changeLangauge()">
                      <span> {{ i18ntext.lngText('yes') }}<input
                          type="button"
                          class="type2"
                          style="width: 89px; opacity: 0"
                        />
                      </span>
                    </div>
                   
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- end -->


          <!-- Change password modal -->
          <div   class="modal fade ui-modal"
            id="change-password"
            data-bs-backdrop="static"
            data-bs-keyboard="false"
            tabindex="-1"
            aria-labelledby="clearconfirmlabel"
            aria-hidden="true"
          >
            <div class="modal-dialog " id="nonbackgroundboom" style="max-width: 80vh !important;">
              <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                  <h5 class="modal-title" id="exampleModalLabel">
                    <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">
                      {{i18ntext.lngText('changepassword')}}
                      </span>
                  </h5>
                  <span
                    class="ui-icon ui-icon-closethick btn-cancel"
                    data-bs-dismiss="modal"
                    aria-label="Close"
                  ></span>
                </div>
                <div class="ui-dialog-content" style="background-color: #fff">
                  <div class="modal-body">
                      <div class="form-change-pwd">
                          <div class="form.change-pwd-01">
                            <p class="label-text">{{ i18ntext.lngText('code') }}</p>
                            <input :disabled="true" class="open-input" type="text" v-model="form_user.user_code" />
                            <p class="label-text">{{ i18ntext.lngText('user_name') }}</p>
                            <input class="open-input" type="text" v-model="form_user.user_name" />
                            <p class="label-text">{{ i18ntext.lngText('email') }}</p>
                            <input class="open-input" type="text" v-model="form_user.email" />
                            <p class="label-text">{{ i18ntext.lngText('old_password') }}</p>
                            <input class="open-input" type="password" v-model="form_user.password" />
                            <p class="label-text">{{ i18ntext.lngText('new_password') }}</p>
                            <input class="open-input" type="password" v-model="form_user.new_password" />
                            <p class="label-text">{{ i18ntext.lngText('confirm_password') }}</p>
                            <input class="open-input" type="password" v-model="form_user.confirm_password" />
                          </div>

                         
                      </div>
                  </div>
                  <div class="modal-footer">
                    <div class="button type2" data-bs-toggle="modal" data-bs-target="#user_info"
                      data-bs-dismiss="modal">
                      <span>{{ i18ntext.lngText('No') }}<input
                          type="button"
                          class="type2"
                          tabindex="10008"
                        
                          style="width: 89px; opacity: 0"
                        />
                      </span>
                    </div>
                    <div class="button type2" @click="changePassword()"
                      data-bs-dismiss="modal" >
                      <span>{{ i18ntext.lngText('change') }}<input
                          type="button"
                          class="type2"
                          style="width: 89px; opacity: 0"
                        />
                      </span>
                    </div>
                   
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- Message success alert -->
          <div id="myModal" class="lskymodal">
            <div class="lskymodal-content">
                <p><i class="fa fa-check" aria-hidden="true"></i> {{ message }}</p>
            </div>
        </div>
        <!-- end -->

        <!-- check wrong confirm -->

        <div   class="modal fade ui-modal"
            id="wrong-pwd"
            data-bs-backdrop="static"
            data-bs-keyboard="false"
            tabindex="-1"
            aria-labelledby="clearconfirmlabel"
            aria-hidden="true"
          >
            <div class="modal-dialog smallpopup" id="nonbackgroundboom">
              <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                  <h5 class="modal-title" id="exampleModalLabel">
                    <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">
                      {{ i18ntext.lngText('confirm_message') }}
                    </span>
                  </h5>
                  <span
                    class="ui-icon ui-icon-closethick btn-cancel"
                    data-bs-dismiss="modal"
                    aria-label="Close"
                  ></span>
                </div>
                <div class="ui-dialog-content" style="background-color: #fff">
                  <div class="modal-body">
                      {{ message }}
                  </div>
                  <div class="modal-footer">
                    
                    <div class="button type2" data-bs-toggle="modal" data-bs-target="#change-password"
                      data-bs-dismiss="modal">
                      <span>Yes<input
                          type="button"
                          class="type2"
                          style="width: 89px; opacity: 0"
                        />
                      </span>
                    </div>
                   
                  </div>
                </div>
              </div>
            </div>
          </div>


        <!-- end -->



</template>
<script>
    import Auth from '../auth/Auth';
    import i18n from '../i18n/i18n';
    import axios from 'axios';

    export default{
        data(){
            return {
                User: Auth.user,
                language : 'English',
                text : '',
                lng : i18n.leg,
                form_user: {
                  id : Auth.user.id,
                  user_code : Auth.user.user_code,
                  user_name : Auth.user.user_name,
                  email : Auth.user.email,
                  password: '',
                  new_password: '',
                  confirm_password: ''
                },
                message : '',
              i18ntext: i18n,
            }
        },
        mounted(){
        
        },
        methods: {
          getText(text){
            this.language =text;
          },
          //change language
          changeLangauge(){
            if(this.lng !=this.language){
              if(i18n.changeleg()){
                 window.location.reload();
              }
            }
          },
          //change password
          changePassword(){
            if(this.form_user.confirm_password == this.form_user.new_password){
              axios.post('api/v1/user/changePassword', this.form_user)
                    .then(response => {
                        console.log(response.data.message)
                        if(response.data.status == 2){
                          this.message = 'Please check your old password'
                          $('#wrong-pwd').modal('show')
                        }
                        else if(response.data.status == 1){
                            this.message = "Change password succesfully"
                            this.messagebox()
                        }
                        else if(response.data.status == 0){
                          this.message = 'Failed to update please try again'
                          $('#wrong-pwd').modal('show')
                        }
                    })
                    .catch(err => {
                      alert(err)
                    })
            }else{
              this.message = 'Cannot change password, Please check new password and confirm password again'
              $('#wrong-pwd').modal('show')
            }
              
          },
          messagebox() {
            var modal = document.getElementById("myModal");
            modal.style.display = "block";
            setTimeout(() => (modal.style.display = "none"), 2000);
        },


        }
    }

</script>